.contact-section {
	padding: 2em 0;
}

.contact-section__map-wrapper {
	flex-grow: 1;
	display: flex;
	flex-direction: column;
}

.contact-section__map {
	height: 400px;
	background-color: #e8e8e8;
	position: relative;

	@media (--m) {
		height: 100%;
	}

	& svg {
		fill: var(--primary);
	}
}

.contact-section__col {
	width: 100%;

	@media (--sm) {
		width: 50%;
	}
}

.contact-section__col--map {
	display: flex;
	flex-direction: column;
}

.contact-section__col--form,
.contact-section__col--content {
	width: 100%;
}

.contact-section__col--address,
.contact-section__col--info {
	width: 100%;

	@media (--s) {
		width: 50%;
	}
}

.contact-section--primary-default {
	& .contact-section__col--block {
		margin-top: 2em;

		@media (--m) {
			margin-top: 0;
		}
	}
}

.contact-section--primary-top {
	@media (--s) {
		& .contact-section__col--map,
		& .contact-section__col--block {
			width: 100%;
		}
	}

	& .contact-section__col--block {
		margin-top: 2em;
	}

	& .contact-section__map {
		height: 250px;

		@media (--s) {
			height: 400px;
		}

		@media (--l) {
			height: 500px;
		}
	}
}

.contact-section--primary-switch {
	& .contact-section__grid--main {
		@media (--s) {
			flex-direction: row-reverse;
		}
	}

	& .contact-section__col--map {
		order: 2;
		margin-top: 2em;

		@media (--m) {
			margin-top: 0;
		}
	}

	& .contact-section__col--block {
		order: 1;
	}
}

.contact-section--secondary-switch {
	& .contact-section__grid--secondary {
		@media (--s) {
			flex-direction: column-reverse;
		}
	}
}

.contact-section--secondary-left {
	& .contact-section__content {
		& .contact-section__col {
			@mixin column-item 1, 1em;
		}
	}

	@media (--s) {
		& .contact-section__content {
			& .contact-section__col {
				width: 50%;
				margin-top: 0;
			}
		}
	}

	@media (--sm) {
		& .contact-section__col--content {
			width: 40%;

			& .contact-section__col {
				width: 100%;
			}
		}

		& .contact-section__col--form {
			width: 60%;
		}
	}
}

.contact-section--secondary-right {
	& .contact-section__content {
		& .contact-section__col {
			@mixin column-item 1, 1em;
		}
	}

	@media (--s) {
		& .contact-section__content {
			& .contact-section__col {
				width: 50%;
				margin-top: 0;
			}
		}
	}

	@media (--sm) {
		& .contact-section__col--content {
			width: 40%;
			order: 2;

			& .contact-section__col {
				width: 100%;
			}
		}

		& .contact-section__col--form {
			width: 60%;
			order: 1;
		}
	}
}

.contact-section--full-screen {
	@media (--s) {
		padding: 0;

		& .contact-section__wrapper {
			padding: 0 2em;
		}

		& .contact-section__grid--primary {
			margin: 0;
		}

		& .contact-section__col--map,
		& .contact-section__col--block {
			padding: 0;
		}

		& .contact-section__col--block {
			@mixin flex-center;

			min-height: calc(100vh - 60px);
		}

		& .contact-section__container {
			max-width: 100%;
			padding: 0;
		}
	}
}

.contact-section--primary-bottom {
	& .contact-section__col--map {
		width: 100%;
		order: 2;
		margin-top: 2em;
	}

	& .contact-section__col--block {
		width: 100%;
		order: 1;
	}

	& .contact-section__map {
		height: 250px;

		@media (--s) {
			height: 400px;
		}

		@media (--l) {
			height: 500px;
		}
	}
}

.contact-section__map-popup {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	font-family: var(--font-default);
	font-size: 0.75rem;

	@media (--s) {
		font-size: 1rem;
	}
}

.contact-section__loader {
	width: 30px;
	height: 30px;
	margin: 0 auto;
	border-top: 5px solid #292929;
	border-right: 5px solid #efefef;
	border-bottom: 5px solid #efefef;
	border-left: 5px solid #efefef;
	border-radius: 100px;
	animation: spin 1s infinite linear;

	@media (--s) {
		width: 80px;
		height: 80px;
	}
}

@keyframes spin {
	100% {
		transform: rotate(360deg);
	}
}

.has-contact-section-background {
	&.contact-section {
		position: relative;
	}

	& .contact-section__background-image {
		position: absolute;
		top: 0;
		left: 0;
		height: 100%;
		width: 100%;
		z-index: -1;

		& picture {
			height: 100%;
		}
	}
}
